## pypillowfight 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(libpillowfight)
set(CMAKE_BUILD_TYPE Release)

add_definitions(-DNO_PYTHON)
include_directories(include)

add_library(pillowfight SHARED
	src/pillowfight/_ace.c
	src/pillowfight/_blackfilter.c
	src/pillowfight/_blurfilter.c
	src/pillowfight/_border.c
	src/pillowfight/_canny.c
	src/pillowfight/_compare.c
	src/pillowfight/_gaussian.c
	src/pillowfight/_grayfilter.c
	src/pillowfight/_masks.c
	src/pillowfight/_noisefilter.c
	src/pillowfight/_sobel.c
	src/pillowfight/util.c
)

install (TARGETS pillowfight DESTINATION lib)
install (FILES
	include/pillowfight/pillowfight.h
	include/pillowfight/util.h
	DESTINATION
	include/pillowfight
)

=== debian/changelog ===
pypillowfight (0.2.2-0) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Aug 2017 16:48:09 -0400

pypillowfight (0.2.1-1) mx; urgency=medium

  * Initial build for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 02 Jan 2017 14:18:45 -0500

=== debian/control ===
Source: pypillowfight
Maintainer: Jerome Flesch <jflesch@gmail.com>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all-dev, python3-nose, debhelper (>= 9)
Standards-Version: 4.1.0

Package: python3-pypillowfight
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Library containing various image processing algorithms
 Library containing various image processing algorithms: Automatic Color Equalization, Unpaper's algorithms, Stroke Width Transformation, etc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypillowfight
%:
	dh $@ --with python3 --buildsystem=pybuild
